Skip to content

API: Quiz Plays endpoints

/quiz:results

GET /quiz:results:play

Get detailed results for a specific Quiz play.

[] Input:

  • [!] string play: Quiz play identification string

[] Output:

  • string play: Quiz play identification string
  • string user: user identification string
  • datetime time_start: start time
  • datetime time_end: end time
  • integer questions_total: total number of questions asked
  • integer questions_correct: number of correctly answered questions
  • float points_total: total points
  • float points_correct: total points scored
  • boolean valid: result is valid
    • finished successfully, all questions evaluated and not archived
  • boolean/null successful: attempt passed grading threshold (if applicable)
  • list questions
    • string index: question index
    • string/null id: external unique question identifier (if present)
    • string question: question identification string
    • float time_answer: number of seconds spent on question (if available)
    • float points_maximum: maximum points
    • float points: points scored

GET /quiz:results:user

Get user results for a specific Quiz set.

[] Input:

  • [!] string quiz: Quiz set identification string
  • [!] string user: user identification string

[] Output:

  • list
    • string play: Quiz play identification string
    • string user: user identification string
    • datetime time_start: start time
    • datetime time_end: end time
    • integer questions_total: total number of questions asked
    • integer questions_correct: number of correctly answered questions
    • float points_total: total points
    • float points_correct: total points scored
    • boolean valid: result is valid
    • boolean/null successful: attempt passed grading threshold (if applicable)

/exam:results

GET /exam:results:user

Get user results for a specific exam.

[] Input:

  • [!] string exam: exam identification string
  • [!] string user: user identification string

[] Output:

  • list
    • string play: Quiz play identification string
    • string user: user identification string
    • datetime time_start: start time
    • datetime time_end: end time
    • integer questions_total: total number of questions asked
    • integer questions_correct: number of correctly answered questions
    • float points_total: total points
    • float points_correct: total points scored
    • integer attempt: index of attempt
    • boolean valid: result is valid
    • boolean/null successful: attempt passed grading threshold (if applicable)

/exam:certificates

GET /exam:certificates:user

Get (the latest) certificate details for a specific exam and user.

[] Input:

  • [!] string exam: exam identification string
  • [!] string user: user identification string

[] Output:

  • string play: Quiz play identification string
  • string user: user identification string
  • boolean archived: exam result is archived
  • boolean eligible: result is eligible for certification
  • boolean certified: result is eligible for certification and also certified
  • string serial: serial number of the certificate
    • only present if the result is certified and serial numbering is enabled
  • date expires: date of expiration
    • only present if the result is certified and expiration is configured

POST /exam:certificates:user:download

Generate download link for the latest user exam certificate. If a previous valid link exists, it will be returned instead.

[] Input:

  • [!] string exam: exam identification string
  • [!] string user: user identification string

[] Output:

  • string play: Quiz play identification string
  • string user: user identification string
  • string[url] url: download link for the certificate
  • date valid: date of link expiration